VkDescriptorUpdateTemplateCreateInfoKHR Struct Reference

`#include <vulkan.h>`

Collaboration diagram for VkDescriptorUpdateTemplateCreateInfoKHR:
[legend]

## Data Fields

VkStructureType | sType
void * | pNext
VkDescriptorUpdateTemplateCreateFlagsKHR | flags
uint32_t | descriptorUpdateEntryCount
const VkDescriptorUpdateTemplateEntryKHR * | pDescriptorUpdateEntries
VkDescriptorUpdateTemplateTypeKHR | templateType
VkDescriptorSetLayout | descriptorSetLayout
VkPipelineBindPoint | pipelineBindPoint
VkPipelineLayout | pipelineLayout
uint32_t | set

## Detailed Description

Definition at line 4568 of file vulkan.h.

## Field Documentation

## descriptorSetLayout

VkDescriptorSetLayout VkDescriptorUpdateTemplateCreateInfoKHR::descriptorSetLayout

Definition at line 4575 of file vulkan.h.

## descriptorUpdateEntryCount

uint32_t VkDescriptorUpdateTemplateCreateInfoKHR::descriptorUpdateEntryCount

Definition at line 4572 of file vulkan.h.

## flags

VkDescriptorUpdateTemplateCreateFlagsKHR VkDescriptorUpdateTemplateCreateInfoKHR::flags

Definition at line 4571 of file vulkan.h.

## pDescriptorUpdateEntries

const VkDescriptorUpdateTemplateEntryKHR* VkDescriptorUpdateTemplateCreateInfoKHR::pDescriptorUpdateEntries

Definition at line 4573 of file vulkan.h.

## pipelineBindPoint

VkPipelineBindPoint VkDescriptorUpdateTemplateCreateInfoKHR::pipelineBindPoint

Definition at line 4576 of file vulkan.h.

## pipelineLayout

VkPipelineLayout VkDescriptorUpdateTemplateCreateInfoKHR::pipelineLayout

Definition at line 4577 of file vulkan.h.

## pNext

void* VkDescriptorUpdateTemplateCreateInfoKHR::pNext

Definition at line 4570 of file vulkan.h.

## set

uint32_t VkDescriptorUpdateTemplateCreateInfoKHR::set

Definition at line 4578 of file vulkan.h.

## sType

VkStructureType VkDescriptorUpdateTemplateCreateInfoKHR::sType

Definition at line 4569 of file vulkan.h.

## templateType

VkDescriptorUpdateTemplateTypeKHR VkDescriptorUpdateTemplateCreateInfoKHR::templateType

Definition at line 4574 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h